filename carsraw 'c:\temp\auto1.txt';
data cars(keep=lnp lnw lnr lnm dom);
  infile carsraw;
  input obs    1-3
        make $ 5-25
        price mpg rep78 foreign $ weight;
  if foreign = "Domestic" then dom=1;
  if foreign ~= "Domestic" then dom=0;

  lnp= log(price);
  lnw= log(weight);
  lnr= log(rep78);
  lnm= log(mpg);

run;

